%global flavor gcc32winthr

%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

%global oname globus-openssl
%global _name %(tr - _ <<< %{oname})

Name:		mingw32-%{oname}
Version:	3.0
Release:	1%{?dist}
Summary:	Globus Toolkit for MinGW - Openssl Library

Group:		Development/Libraries
License:	ASL 2.0
URL:		http://www.globus.org/
#		This package is a substitution for the upstream globus-openssl
#		package, which contains a copy of the openssl library sources.
#		Instead this package provides the necessary metadata files to
#		allow grid-packaging-tools (GPT) to use the openssl library
#		provided by the Fedora/RHEL distribution. The package source
#		is a single GPT source package description file, referencing
#		the openssl library as an external library.
Source:		%{oname}-pkg_data_src.gpt.in
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	mingw32-openssl
BuildRequires:	grid-packaging-tools
BuildRequires:	mingw32-globus-core
BuildRequires:	mingw32-openssl
BuildRequires:	mingw32-filesystem

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Openssl Library (virtual GPT glue package)

%prep
%setup -T -c
cp -p %{SOURCE0} pkg_data_src.gpt.in

%build
export PKG_CONFIG_PATH=%{_mingw32_libdir}/pkgconfig

OPENSSL_VERSION=`pkg-config openssl --modversion`
OPENSSL_INCLUDES=`pkg-config openssl --cflags`
OPENSSL_LIBS=`pkg-config openssl --libs`

sed -e "s!@OPENSSL_VERSION@!$OPENSSL_VERSION!g" \
    -e "s!@OPENSSL_INCLUDES@!$OPENSSL_INCLUDES!g" \
    -e "s!@OPENSSL_LIBS@!$OPENSSL_LIBS!g" \
  < pkg_data_src.gpt.in > pkg_data_src.gpt

echo /share/globus/packages/%{_name}/%{flavor}_rtl.filelist > \
  %{flavor}_rtl.filelist
echo /share/globus/packages/%{_name}/pkg_data_%{flavor}_rtl.gpt >> \
  %{flavor}_rtl.filelist

echo /share/globus/packages/%{_name}/%{flavor}_pgm.filelist > \
  %{flavor}_pgm.filelist
echo /share/globus/packages/%{_name}/pkg_data_%{flavor}_pgm.gpt >> \
  %{flavor}_pgm.filelist

echo /share/globus/packages/%{_name}/%{flavor}_dev.filelist > \
  %{flavor}_dev.filelist
echo /share/globus/packages/%{_name}/pkg_data_%{flavor}_dev.gpt >> \
  %{flavor}_dev.filelist

%{_sbindir}/gpt_generate_bin_pkg_data --flavor=%{flavor} pkg_data_src.gpt

%install
rm -rf $RPM_BUILD_ROOT

GLOBUSPACKAGEDIR=$RPM_BUILD_ROOT%{_mingw32_datadir}/globus/packages

mkdir -p $GLOBUSPACKAGEDIR/%{_name}

install -m 644 pkg_data_%{flavor}_rtl.gpt %{flavor}_rtl.filelist \
  $GLOBUSPACKAGEDIR/%{_name}
install -m 644 pkg_data_%{flavor}_pgm.gpt %{flavor}_pgm.filelist \
  $GLOBUSPACKAGEDIR/%{_name}
install -m 644 pkg_data_%{flavor}_dev.gpt %{flavor}_dev.filelist \
  $GLOBUSPACKAGEDIR/%{_name}

# Generate pkg-config file from GPT metadata
mkdir -p $RPM_BUILD_ROOT%{_mingw32_libdir}/pkgconfig
%{_mingw32_datadir}/globus/mingw32-globus-gpt2pkg-config \
  pkg_data_%{flavor}_dev.gpt | \
  sed -e 's/Requires:.*/Requires: openssl/' \
      -e 's/Cflags:.*/Cflags:/' \
      -e 's/Libs:.*/Libs:/' > \
  $RPM_BUILD_ROOT%{_mingw32_libdir}/pkgconfig/%{oname}.pc

# Generate package filelists
cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_rtl.filelist \
    $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_pgm.filelist \
    $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_dev.filelist \
  | sed s!^!%{_mingw32_prefix}! > package.filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f package.filelist
%defattr(-,root,root,-)
%dir %{_mingw32_datadir}/globus
%dir %{_mingw32_datadir}/globus/packages
%dir %{_mingw32_datadir}/globus/packages/%{_name}
%{_mingw32_libdir}/pkgconfig/%{oname}.pc

%changelog
* Wed May  6 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.0-1
- Autogenerated
